:root{--bS:border-box;--p3d:preserve-3d}
*,*::after,*::before{-webkit-box-sizing:var(--bS);-moz-box-sizing:var(--bS);-ms-box-sizing:var(--bS);-o-box-sizing:var(--bS);box-sizing:var(--bS)}

html,body{overflow:hidden;background:#000;margin:0 auto}
@font-face{font-family:'default';src:url(default.ttf) format('ttf'),url(default.woff2) format('woff2'),url(default.woff) format('woff');font-weight:normal;font-style:normal}

.track,.track span,.track div,.bub,.bubW,.bubW a,.track section,.ringCon,.ringCon img,.ring,.ring::before,.fS,.fS div::after{position:absolute}
.track span,.bubW a,.ringCon,.ring,.ring::before{background:var(--bk);background-size:var(--bks,cover);background-position:var(--bkp,center center);background-repeat:var(--bkr,no-repeat)}

.track div,.bubW,.ringCon,.ringCon img,.ring,.track div img,.fS{-webkit-perspective:var(--per);-moz-perspective:var(--per);-ms-perspective:var(--per);-o-perspective:var(--per);perspective:var(--per)}
.track div,.bub,.bubW,.ringCon,.ringCon img,.ring,.fS,.fS div{-webkit-transform-style:var(--p3d);-moz-transform-style:var(--p3d);-ms-transform-style:var(--p3d);-o-transform-style:var(--p3d);transform-style:var(--p3d)}
.track span,.bubW,.bubW a,.track section,.ringCon,.ringCon img,.ring{-webkit-transform-origin:var(--tO);-moz-transform-origin:var(--tO);-ms-transform-origin:var(--tO);-o-transform-origin:var(--tO);transform-origin:var(--tO)}
.track,.track span,.bub,.bubW a,.track section,.ringCon,.ringCon img,.ring,.ring::before,.fS,.fS div::after{-webkit-transform:var(--nLab);-moz-transform:var(--nLab);-ms-transform:var(--nLab);-o-transform:var(--nLab);transform:var(--nLab)}
.track span,.bubW a,.track section,.ringCon,.ringCon img,.ring,.ring::before,.fS{
	-webkit-transition:var(--trans);-moz-transition:var(--trans);-o-transition:var(--trans);transition:var(--trans)}
.bubW a,.ring,.ring::before{--anim:none;-webkit-animation:var(--anim);-moz-animation:var(--anim);-ms-animation:var(--anim);-o-animation:var(--anim);animation:var(--anim)}
.ring::before{content:''}

.track div,.bubW,.ringCon,.ringCon img,.ring,.track div img,.fS{--per:50vw}

.track{--nLab:none;top:-7vw;left:0;width:49vw;height:30vw}

.track span,.track section{--bk:transparent;--nLab:translate3d(calc((var(--varX,0) - var(--endX,0))*var(--mo,1)*var(--om,1)*1vw),calc((var(--varY,0)*var(--re,1))*1vw),0)rotateY(calc(var(--rotY,0)*1deg))rotate(calc(var(--vaRZ)*1rad))scale(var(--min,2))}
.track span{--trans:opacity calc(var(--time,600)*1ms) linear,transform .75s linear;overflow:visible;left:0;top:0;width:4vw;height:4vw;border-radius:0;font-size:3vw;cursor:pointer;touch-action:none;box-shadow:inset 0 0 .5vw black,0 0 .5vw black,0 0 1vw black,0 0 1.5vw black,0 0 2vw black;opacity:var(--oP,0)}

.bub{--nLab:none}
.bubW{--per:50vw;--tO:center center;margin:0 auto;width:10vw;height:3vw}

.bubW a{--bk:hsl(25,100%,45%);--tO:right center;--nLab:translate3d(calc(var(--X)*1vw),calc(var(--Y)*1vw),calc(var(--Z)*1vw));--move:translate3d(0,0,-83.33vw);--anim:move -.5s calc(var(--X)*.5s) infinite;
width:.5vw;height:.5vw;border-radius:50%;filter:blur(.1vw);opacity:var(--oP,0)}

@-webkit-keyframes move{100%{-webkit-transform:var(--move)}}@-moz-keyframes move{100%{-moz-transform:var(--move)}}@-ms-keyframes move{100%{-ms-transform:var(--move)}}@-o-keyframes move{100%{-o-transform:var(--move)}}@keyframes move{100%{transform:var(--move)}}

.mo{--left:-24vw}
.re{--top:30vw}
.unmin{--min:-1,1}
.min{--min:1,1}
.oP{--oP:1}
.hid{--hid:hidden}
.noP{--time:1500;--oP:0}
.go{--rotY:0}
.stay{--min:-1,1}
.stayMore{--min:1,-1}
.num{--num:1}
.endX{--endX:1.75}
.flip{--xr:40;--yr:2.5;--zr:-182.5}

/* .track .hyf{--nLab:rotate(15deg)} */

.track section{--secop:cubic-bezier(1,-.1,1.125,.31);--sectr:.5s;--trans:opacity 1s -.25s var(--secop),transform var(--sectr) cubic-bezier(0,1.55,.2,.96);display:block;background-color:var(--color,none);left:var(--left,0);width:4vw;height:4vw;color:#000;font:4vw/.65 'default';opacity:var(--oP,0)}

/* .track > :nth-child(n+17):nth-child(-n+21){--min:1,1} */

.turn0,.track section.turn22{--varY:-12.53756;--vaRZ:6.28}
.turn1,.track section.turn21{--varX:-3.85316;--varY:-11.9014;--vaRZ:5.966}
.turn2,.track section.turn20{--varX:-7.32833;--varY:-10.11;--vaRZ:5.652}
.turn3,.track section.turn19{--varX:-10.08916;--varY:-7.3384;--vaRZ:5.338}
.turn4,.track section.turn18{--varX:-11.86616;--varY:-3.8544;--vaRZ:5.024}
.turn5,.track section.turn17{--varX:-12.48616;--vaRZ:4.71}
.turn6,.track section.turn16{--varX:-11.86616;--varY:3.8544;--vaRZ:4.396}
.turn7,.track section.turn15{--varX:-10.08916;--varY:7.3384;--vaRZ:4.082}
.turn8,.track section.turn14{--varX:-7.32833;--varY:10.11;--vaRZ:3.768}
.turn9,.track section.turn13{--varX:-3.85316;--varY:11.9014;--vaRZ:3.454}
.turn10,.track section.turn12{--varY:12.53756;--vaRZ:3.14}

/*3.14 6.28 6.594 2.826*/
.turn12,.track section.turn10{--varY:12.53756;--vaRZ:6.28}
.turn13,.track section.turn9{--varX:3.85316;--varY:11.9014;--vaRZ:5.966}
.turn14,.track section.turn8{--varX:7.32833;--varY:10.11;--vaRZ:5.652}
.turn15,.track section.turn7{--varX:10.08916;--varY:7.3384;--vaRZ:5.338}
.turn16,.track section.turn6{--varX:11.86616;--varY:3.8544;--vaRZ:5.024}
.turn17,.track section.turn5{--varX:12.48616;--vaRZ:4.71}
.turn18,.track section.turn4{--varX:11.86616;--varY:-3.8544;--vaRZ:4.396}
.turn19,.track section.turn3{--varX:10.08916;--varY:-7.3384;--vaRZ:4.082}
.turn20,.track section.turn2{--varX:7.32833;--varY:-10.11;--vaRZ:3.768}
.turn21,.track section.turn1{--varX:3.85316;--varY:-11.9014;--vaRZ:3.454}
.turn22,.track section.turn0{--varY:-12.53756;--vaRZ:3.14}

/* 
.track section > div img{}
.track section div div img{}
  */

.radRing{display:none}

.track section > .ringCon{visibility:var(--hid,visible)}
.ringCon,.ring,.ring::before{--nLab:translate3d(calc((var(--tX) + var(--tXa,0))*1vw),calc((var(--tY) + var(--tYa,0))*1vw),calc((var(--tZ) + var(--tZa,0))*1vw))rotateX(calc((var(--xR) + var(--xRa,0))*1deg))rotateY(calc((var(--yR) + var(--yRa,0))*1deg))rotate(calc((var(--zR) + var(--zRa,0))*1deg))skew(calc((var(--sW) + var(--sWa,0))*1deg),calc((var(--sW2,0) + var(--sW2a,0))*1deg))scale3d(calc((var(--s3k) + var(--s3ka,0))*var(--n3k,1)),calc((var(--s3Y) + var(--s3Ya,0))*var(--n3Y,1)),calc((var(--s3) + var(--s3a,0))*var(--n3,1)));
	--trans:transform var(--time) var(--way,ease),opacity var(--opT) var(--cub,ease);top:0;left:0;width:10vw;height:10vw}

.rCadd{--tX:-7;--tY:-15;--s3k:-.875;--s3Y:1;--s3:.125;--time:1s;--op:1;--opT:1s;--cub:ease-out}
.ringCon{--tO:bottom center;--tZ:0;--xR:-64.75;--yR:0;--zR:175;--sW:-15;--time:1s;--opT:1s;top:-10vw;left:10vw;width:20vw;height:20vw;opacity:var(--op,0);z-index:auto}
.ringCon:hover{--tXa:-12.5;--tYa:-1;--tZa:-5;--xRa:24.75;--yRa:0;--zRa:-15;--sWa:10;--s3ka:1.25;--s3Ya:-.125;z-index:-1}
.ringCon:not(:hover){--time:1s;--op:1}
.ringCon > img{--nLab:translate3d(10vw,-2.5vw,0)rotateY(calc(180deg * var(--num,1)))scaleY(.5)scale(1.5);--trans:transform 4s,opacity 1s var(--cB);opacity:0}
.ringCon:hover > img{--num:-1;--cB:cubic-bezier(0,1,.81,.03);opacity:1}

.radd{--tY:-8;--oP:1}

.ring,.ring::before{--bk:none;--opT:1s;--way:ease-in-out;opacity:var(--oP,0)}
.ring{--tX:-5;--tZ:-5;--xR:225;--yR:180;--zR:60;--sW:78;--s3k:1.25;--s3Y:.4;--n3Y:-1;--s3:.25;width:95%;height:40%;z-index:-1}

.ring::before{--tX:auto;--tY:auto;--tZ:auto;--xR:auto;--yR:auto;--zR:-2.5;--sW:auto;--s3k:1;--s3Y:1;--s3:1;--oP:0;width:100%;height:100%;z-index:1;box-shadow:inset .25vw 0 .125vw orange,inset -.25vw 0 .125vw orange,inset .375vw 0 1vw red,inset -.375vw 0 1vw red,inset .5vw 0 .375vw orange,inset -.5vw 0 .5vw orange,inset .75vw 0 1vw red,inset -.75vw 0 1vw red,0 .25vw .125vw orange,0 -.25vw .125vw orange,0 .375vw 1vw red,0 -.375vw 1vw red,0 .5vw .375vw orange,0 -.5vw .5vw orange,0 .75vw 1vw red,0 -.75vw 1vw red;-webkit-filter:url(#wave);-moz-filter:url(#wave);-ms-filter:url(#wave);-o-filter:url(#wave);filter:url(#wave)}
.ring img{--trans:transform 2s;--nLab:translate3d(.375vw,.25vw,0)rotateY(207.5deg)skewX(-45deg);width:75%;height:95%}
.track > :nth-child(n+17):nth-child(-n+21) .ring img{--nLab:translate3d(.375vw,.25vw,0)rotateY(27.5deg)skewX(45deg)}

.ringCon:hover .ring{--tXa:auto;--tYa:auto;--xRa:auto;--yRa:auto;--zRa:auto;--sWa:auto;--s3ka:-.25;--s3Ya:2.16;--s3a:1;--time:1s;--opT:1s}
/* .track section:nth-of-type(even) .ringCon:hover > .ring{--tXa:-36;--tYa:-25;--xRa:42.5;--yRa:265;--zRa:50;--sWa:-34;--s3ka:1.375;--s3Ya:.68;--s3a:1;--time:1s;--opT:1s} */
.ringCon:hover .ring::before{--tX:auto;--tY:auto;--tZ:auto;--xR:auto;--yR:auto;--zR:-2.5;--sW:auto;--time:1s;--opT:1s;--oP:1}

@-webkit-keyframes fadeIn{from{--oP:0}to{--oP:1}}
@-moz-keyframes fadeIn{from{--oP:0}to{--oP:1}}
@-ms-keyframes fadeIn{from{--oP:0}to{--oP:1}}
@-o-keyframes fadeIn{from{--oP:0}to{--oP:1}}
@keyframes fadeIn{from{--oP:0}to{--oP:1}}

@-webkit-keyframes firi{0%{-webkit-transform:translate3d(calc(var(--tX)*1vw),calc(var(--tY)*1vw),calc(var(--tZ)*1vw))rotateX(calc(var(--xR)*1deg))rotateY(calc(var(--yR)*1deg))rotate(calc(var(--zR)*1deg))skew(calc(var(--sW)*1deg))scale3d(var(--s3k),var(--s3Y),var(--s3))}to{-webkit-transform:translate3d(calc((var(--tX) - var(--tXa))*1vw),calc((var(--tY) - var(--tYa))*1vw),calc((var(--tZ) - var(--tZa))*1vw))rotateX(calc((var(--xR) - var(--xRa))*1deg))rotateY(calc((var(--yR) - var(--yRa))*1deg))rotate(calc((var(--zR) - var(--zRa))*1deg))skew(calc((var(--sW) - var(--sWa))*1deg))scale3d(calc(var(--s3k) + var(--s3ka)),calc(var(--s3Y) + var(--s3Ya)),calc(var(--s3) + var(--s3a)))}}
@-moz-keyframes firi{0%{-moz-transform:translate3d(calc(var(--tX)*1vw),calc(var(--tY)*1vw),calc(var(--tZ)*1vw))rotateX(calc(var(--xR)*1deg))rotateY(calc(var(--yR)*1deg))rotate(calc(var(--zR)*1deg))skew(calc(var(--sW)*1deg))scale3d(var(--s3k),var(--s3Y),var(--s3))}to{-moz-transform:translate3d(calc((var(--tX) - var(--tXa))*1vw),calc((var(--tY) - var(--tYa))*1vw),calc((var(--tZ) - var(--tZa))*1vw))rotateX(calc((var(--xR) - var(--xRa))*1deg))rotateY(calc((var(--yR) - var(--yRa))*1deg))rotate(calc((var(--zR) - var(--zRa))*1deg))skew(calc((var(--sW) - var(--sWa))*1deg))scale3d(calc(var(--s3k) + var(--s3ka)),calc(var(--s3Y) + var(--s3Ya)),calc(var(--s3) + var(--s3a)))}}
@-ms-keyframes firi{0%{-ms-transform:translate3d(calc(var(--tX)*1vw),calc(var(--tY)*1vw),calc(var(--tZ)*1vw))rotateX(calc(var(--xR)*1deg))rotateY(calc(var(--yR)*1deg))rotate(calc(var(--zR)*1deg))skew(calc(var(--sW)*1deg))scale3d(var(--s3k),var(--s3Y),var(--s3))}to{-ms-transform:translate3d(calc((var(--tX) - var(--tXa))*1vw),calc((var(--tY) - var(--tYa))*1vw),calc((var(--tZ) - var(--tZa))*1vw))rotateX(calc((var(--xR) - var(--xRa))*1deg))rotateY(calc((var(--yR) - var(--yRa))*1deg))rotate(calc((var(--zR) - var(--zRa))*1deg))skew(calc((var(--sW) - var(--sWa))*1deg))scale3d(calc(var(--s3k) + var(--s3ka)),calc(var(--s3Y) + var(--s3Ya)),calc(var(--s3) + var(--s3a)))}}
@-o-keyframes firi{0%{-o-transform:translate3d(calc(var(--tX)*1vw),calc(var(--tY)*1vw),calc(var(--tZ)*1vw))rotateX(calc(var(--xR)*1deg))rotateY(calc(var(--yR)*1deg))rotate(calc(var(--zR)*1deg))skew(calc(var(--sW)*1deg))scale3d(var(--s3k),var(--s3Y),var(--s3))}to{-o-transform:translate3d(calc((var(--tX) - var(--tXa))*1vw),calc((var(--tY) - var(--tYa))*1vw),calc((var(--tZ) - var(--tZa))*1vw))rotateX(calc((var(--xR) - var(--xRa))*1deg))rotateY(calc((var(--yR) - var(--yRa))*1deg))rotate(calc((var(--zR) - var(--zRa))*1deg))skew(calc((var(--sW) - var(--sWa))*1deg))scale3d(calc(var(--s3k) + var(--s3ka)),calc(var(--s3Y) + var(--s3Ya)),calc(var(--s3) + var(--s3a)))}}
@keyframes firi{0%{transform:translate3d(calc(var(--tX)*1vw),calc(var(--tY)*1vw),calc(var(--tZ)*1vw))rotateX(calc(var(--xR)*1deg))rotateY(calc(var(--yR)*1deg))rotate(calc(var(--zR)*1deg))skew(calc(var(--sW)*1deg))scale3d(var(--s3k),var(--s3Y),var(--s3))}to{transform:translate3d(calc((var(--tX) - var(--tXa))*1vw),calc((var(--tY) - var(--tYa))*1vw),calc((var(--tZ) - var(--tZa))*1vw))rotateX(calc((var(--xR) - var(--xRa))*1deg))rotateY(calc((var(--yR) - var(--yRa))*1deg))rotate(calc((var(--zR) - var(--zRa))*1deg))skew(calc((var(--sW) - var(--sWa))*1deg))scale3d(calc(var(--s3k) + var(--s3ka)),calc(var(--s3Y) + var(--s3Ya)),calc(var(--s3) + var(--s3a)))}}

.fS{--per:833.33;--trans:transform .75s ease-in-out;--z:0;--nLab:translate3d(calc(var(--x)*1vw),calc(var(--y)*1vw),calc(var(--z)*1vw))rotateX(calc(var(--xr)*1deg))rotateY(calc(var(--yr)*1deg))rotateZ(calc(var(--zr)*1deg))scaleX(-1);left:calc(var(--l,0)*1vw);top:calc(var(--t,0)*1vw)}
.fS div{width:50%;height:50%}
.fS div::after{--nLab:translate3d(0,0,calc(var(--fW,0)*1vw));content:var(--pW);width:100%;height:100%;top:4vw;color:#0c0c0c;font:6vw/.65 'default';white-space:pre;text-align:center;letter-spacing:-.17vw;text-shadow:.33vw 0 .5vw rgba(0,0,0,.13)}
.fS :first-child::after{color:#FAFAD2;text-shadow:none;filter:blur(.0625vw)}

.fS :nth-child(n+2){--fW:-.125}
.fS :nth-child(n+3){--fW:-.25}
.fS :nth-child(n+4){--fW:-.375}
.fS :nth-child(n+5){--fW:-.5}
.fS :nth-child(n+6){--fW:-.625}
.fS :nth-child(n+7){--fW:-.75}
.fS :nth-child(n+8){--fW:-.875}
.fS :nth-child(n+9){--fW:-1}
.fS :nth-child(n+10){--fW:-1.125}
.fS :nth-child(n+11){--fW:-1.25}
.fS :nth-child(n+12){--fW:-1.375}
.fS :nth-child(n+13){--fW:-1.5}
.fS :nth-child(n+14){--fW:-1.625}
.fS :nth-child(n+15){--fW:-1.75}
.fS :nth-child(n+16){--fW:-1.875}
.fS :nth-child(n+17){--fW:-2}
.fS :nth-child(n+18){--fW:-.2125}
.fS :nth-child(n+19){--fW:-.225}
.fS :nth-child(n+20){--fW:-.2375}

/* .fancyWords:nth-child(n+11)::after,.fancyWords:nth-child(n+12)::after,.fancyWords:nth-child(n+13)::after{-webkit-text-stroke:var(--ts) var(--tsk);-moz-text-stroke:var(--ts) var(--tsk);-ms-text-stroke:var(--ts) var(--tsk);-o-text-stroke:var(--ts) var(--tsk);text-stroke:var(--ts) var(--tsk)} */

.fS :nth-child(n+11)::after,.fS :nth-child(n+12)::after{text-shadow:.5vw 0 .25vw brown,.415vw .415vw .2vw red,0 .5vw .25vw black}
.fS :nth-child(n+13)::after{text-shadow:0 0 1.125vw rgba(200,255,255,.5)}

.fS :last-child::after{-webkit-text-stroke:1.6vw rgba(0,0,0,.1);-moz-text-stroke:1.6vw rgba(0,0,0,.1);-ms-text-stroke:1.6vw rgba(0,0,0,.1);-o-text-stroke:1.6vw rgba(0,0,0,.1);text-stroke:1.6vw rgba(0,0,0,.1)}

.fS:hover{--x:0;--x1:0;--y:0;--y1:0;--z:0;--xr:-25;--xr1:0;--yr:-5;--yr1:0;--zr:-180;--zr1:0;--nLab:translate3d(calc((var(--x) + var(--x1))*1vw),calc((var(--y) + var(--y1))*1vw),calc(var(--z)*1vw))rotateX(calc((var(--xr) + var(--xr1))*1deg))rotateY(calc((var(--yr) + var(--yr1))*1deg))rotateZ(calc((var(--zr) + var(--zr1))*1deg))scaleX(-1);left:calc(var(--l,0)*1vw);top:calc(var(--t,0)*1vw)}
.fS:hover :first-child::after{color:#FAFAD2;text-shadow:none;filter:blur(0)}

.fS:hover>.fS :nth-child(n+11)::after{text-shadow:.5vw 0 .75vw #0504aa,.415vw .415vw .625vw yellow,0 .5vw .75vw #0504aa}
.fS:hover>.fS :nth-child(n+12)::after{text-shadow:0 0 1.125vw rgba(216,0,67,.95)}

/*.track div[class*=turn]:nth-of-type(n+12):nth-of-type(-n+22){} 15.216 */